%define	name	 ferrisstreams
%define ver      0.4.1
%define rel      1

Summary: Standard C++ IOStreams extensions
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/witme/%{name}-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Packager: Ben Martin <monkeyiq@users.sourceforge.net>
URL: http://sourceforge.net/project/showfiles.php?group_id=16036
Requires: glib2 >= 2.0.0
Requires: ferrisloki >= 1.6.0
Requires: libsigc++ >= 1.0.3

%description
Standard C++ IOStreams extensions

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure --enable-hiddensymbols

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog INSTALL
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*


%changelog
* Mon Feb 9 2004 Ben Martin
  Changed for no PREFIX and more macros

* Thu May 3 2003 Ben Martin
- Created 
